Spectrum is constantly updating its technology to deliver the best customer experience. Because of this, some software products may no longer be supported by Spectrum, and you may need to upgrade your operating system.

The following Operating Systems (OS) are no longer supported by Spectrum:

  • Macintosh (Mac) 9.0.x or earlier
  • Macintosh (Mac) 10.0.x through 10.5.x
  • Windows Vista
  • Windows XP
  • Windows 3.1
  • Windows CE
  • Windows ME
  • Windows 95
  • Windows 98
  • Windows NT
  • Windows 2000
  • Windows 2003 (Server Class)
  • Linux
  • Unix
  • Lindows
  • Non-English language operating systems

Learn more about Spectrum's service requirements.